GCLOUD_IAM_LIST-GRANTABLE-ROLES(1)

NAME

gcloud iam list-grantable-roles - list IAM grantable roles for a resource

SYNOPSIS

gcloud iam list-grantable-roles RESOURCE [GLOBAL-FLAG ...]

DESCRIPTION
This command displays the list of grantable roles for a resource. The resource can be referenced either via the full resource name or via a URI. User can then add IAM policy bindings to grant the roles.

POSITIONAL ARGUMENTS
RESOURCE
    The full resource name to get the list of roles for.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
List grantable roles for a resource identified via full resource name:
    $ gcloud iam list-grantable-roles \
        //compute.googleapis.com/projects/example-project/zones/\ us-central1-f/instances/example-instance
List grantable roles for a resource identified via URI:
    $ gcloud iam list-grantable-roles \
        https://www.googleapis.com/compute/v1/projects/example-project/\ zones/us-central1-f/instances/example-instance